New install of 4.16.1 and air 31 missing things for build

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

New install of 4.16.1 and air 31 missing things for build

kamcknig
On a fresh install using the installer of the Flex SDK 4.16.1 and AIR 31,
when I run the ant main target from the base folder, it fails on the
thirdparty-downloads target on line 158 because the modules folder doesn't
exist.

Kyle



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: New install of 4.16.1 and air 31 missing things for build

Alex Harui-2
Please post the log.

Thanks,
-Alex

On 10/3/18, 8:30 AM, "kamcknig" <[hidden email]> wrote:

    On a fresh install using the installer of the Flex SDK 4.16.1 and AIR 31,
    when I run the ant main target from the base folder, it fails on the
    thirdparty-downloads target on line 158 because the modules folder doesn't
    exist.
   
    Kyle
   
   
   
    --
    Sent from: https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-users.2333346.n4.nabble.com%2F&amp;data=02%7C01%7Caharui%40adobe.com%7Ceb331a7d0bc54687fbe908d629451d75%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636741774159701369&amp;sdata=UeHJCIBMYwZiyONRV6hHZSXHYNRzAxeE1SNJL%2F5nmtA%3D&amp;reserved=0
   

Reply | Threaded
Open this post in threaded view
|

Re: New install of 4.16.1 and air 31 missing things for build

kamcknig
I have included two log files, the normal one, and one with verbose logging=


I also noticed that playerglobal.version, playerglobal.swfversion and
air.version aren't updated in the build.properties of the root folder of
the SDK when using the apache installer to install the latest versions of
the AIR and Flex framework so the ant build fails with this error until
those are set properly

check-playerglobal-home:
     [echo] PLAYERGLOBAL_HOME is
C:\development\libraries\apache\flex_air\flex_4.16.1_air_31\frameworks\libs=
\player
     [echo] playerglobal.version is 27.0

Kyle

flex_logging_without_verbose.txt
<http://apache-flex-users.2333346.n4.nabble.com/file/t871/flex_logging_without_verbose.txt>  
flex_build_log.txt
<http://apache-flex-users.2333346.n4.nabble.com/file/t871/flex_build_log.txt>  




--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: New install of 4.16.1 and air 31 missing things for build

Alex Harui-2
Hi Kyle,

The Flex binary package that the installer uses does not contain a modules folder and probably some other files.  It is intended for using the binaries.

If you want to make changes to the source, get a source package or the repos.

HTH,
-Alex

On 10/10/18, 10:02 AM, "kamcknig" <[hidden email]> wrote:

    I have included two log files, the normal one, and one with verbose logging=
   
   
    I also noticed that playerglobal.version, playerglobal.swfversion and
    air.version aren't updated in the build.properties of the root folder of
    the SDK when using the apache installer to install the latest versions of
    the AIR and Flex framework so the ant build fails with this error until
    those are set properly
   
    check-playerglobal-home:
         [echo] PLAYERGLOBAL_HOME is
    C:\development\libraries\apache\flex_air\flex_4.16.1_air_31\frameworks\libs=
    \player
         [echo] playerglobal.version is 27.0
   
    Kyle
   
    flex_logging_without_verbose.txt
    <https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-users.2333346.n4.nabble.com%2Ffile%2Ft871%2Fflex_logging_without_verbose.txt&amp;data=02%7C01%7Caharui%40adobe.com%7C76ca26229fa04e3c5b7608d62ed232c8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636747877663552410&amp;sdata=0n2wL0SmAQ%2B4PBzRXJ4W9DT4my5TvKyYpRQzevRWPPQ%3D&amp;reserved=0>  
    flex_build_log.txt
    <https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-users.2333346.n4.nabble.com%2Ffile%2Ft871%2Fflex_build_log.txt&amp;data=02%7C01%7Caharui%40adobe.com%7C76ca26229fa04e3c5b7608d62ed232c8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636747877663552410&amp;sdata=%2FbaivQWftBxkm1cTc0lCj6ucmIrh6A8g%2BbXXzkEDKVU%3D&amp;reserved=0>  
   
   
   
   
    --
    Sent from: https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-users.2333346.n4.nabble.com%2F&amp;data=02%7C01%7Caharui%40adobe.com%7C76ca26229fa04e3c5b7608d62ed232c8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636747877663562410&amp;sdata=gqZIdw%2Fdbyd3tlNMNLpFkYnEoflEu0IKyGcSgaZHwbQ%3D&amp;reserved=0
   

Reply | Threaded
Open this post in threaded view
|

Re: New install of 4.16.1 and air 31 missing things for build

kamcknig
I was able to compile from the source, thank you!

I did however have to update the build.xml file to set more SWF versions
because it stops version 35



--
Sent from: http://apache-flex-users.2333346.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: New install of 4.16.1 and air 31 missing things for build

Alex Harui-2
Good to know.  Feel free to submit the build.xml changes as a pull request.

Thanks,
-Alex

On 10/12/18, 1:24 PM, "kamcknig" <[hidden email]> wrote:

    I was able to compile from the source, thank you!
   
    I did however have to update the build.xml file to set more SWF versions
    because it stops version 35
   
   
   
    --
    Sent from: https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-users.2333346.n4.nabble.com%2F&amp;data=02%7C01%7Caharui%40adobe.com%7C4af5ea484e10434957d508d63080b288%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636749726642818864&amp;sdata=wM0%2F95X01076OI1w0rB3Cn3VIzLkGeOUO9nKYFtow%2BA%3D&amp;reserved=0